<script>
import BaseMessage from './base.vue';

export default {
  components: {
    BaseMessage,
  },
  props: {
    message: {
      required: true,
      type: Object,
    },
  },
  computed: {
    shouldHighlightMessage() {
      return this.message.highlight;
    },
    hasError() {
      return Boolean(this.message?.errors?.length);
    },
  },
};
</script>
<template>
  <base-message
    :message="message"
    class="gl-rounded-bl-none gl-border-1 gl-border-solid gl-text-gray-900 gl-p-4 gl-border-gray-50"
    :class="{
      'duo-highlight-message': shouldHighlightMessage,
      'gl-border-red-100': hasError,
    }"
  >
    <template #message="slotProps">
      <slot name="message" v-bind="slotProps"> </slot>
    </template>
  </base-message>
</template>
